| Home | Libraries | People | FAQ | More

##### basic_static_string::operator[] (2 of 2 overloads)

Access a character.

###### Synopsis

    const_reference
    operator[](
        size_type pos) const;

###### Description

Returns a reference to the character at index `pos`.

###### Complexity

Constant.

###### Precondition

`pos >= size`

###### Parameters

Name | Description
--- | ---
`pos` | The index to access.